Crear panel
Crea un nuevo panel
POST
/
api
/
v2
/
dashboards
curl --request POST \
--url https://api.hyperdx.io/api/v2/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Service Health Overview",
"tags": [
"service-health",
"production"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"name": "Request Count",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "service:backend"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"name": "Error Distribution",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [
"errorType"
],
"sortOrder": "desc",
"type": "table",
"where": "level:error"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "API Monitoring Dashboard",
"tags": [
"api",
"monitoring"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "API Request Volume",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "service:api"
}
],
"w": 6,
"x": 0,
"y": 0
}
]
}
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cuerpo
application/json
Respuesta
Panel creado correctamente
Show child attributes
Show child attributes
Última modificación el 10 de junio de 2026
¿Esta página le ayudó?
⌘I
curl --request POST \
--url https://api.hyperdx.io/api/v2/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Service Health Overview",
"tags": [
"service-health",
"production"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"name": "Request Count",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "service:backend"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"name": "Error Distribution",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [
"errorType"
],
"sortOrder": "desc",
"type": "table",
"where": "level:error"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "API Monitoring Dashboard",
"tags": [
"api",
"monitoring"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "API Request Volume",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "service:api"
}
],
"w": 6,
"x": 0,
"y": 0
}
]
}
}